<link rel="stylesheet" type="text/css" href="src/css/bootstrap.min.css">

<link rel="stylesheet" type="text/css" href="src/css/bootstrap-theme.css">
<link rel="stylesheet" type="text/css" href="src/datatable.css">

<script src="src/jquery.js"></script>
<script src="src/js/bootstrap.min.js"></script>
<script src="src/moment1.js"></script>
<script src="src/datatables.js"></script>
<script src="src/bootstrap_datatable.js"></script>
<style>
button{
	font-weight: bolder;
}

td{
	font-size: 15px;
	font-family: "Arial";
}

input[type="text"],select,input[type="number"],input[type="date"]{
	font-size: 14px;
	font-family: "Arial";

color:#38668e;
	@font-weight: bolder;
		width:60%;


}



td{
    font-family:"Arial";
    font-size:13px;


}

body{
    @background:#f0f0f0;
}

a{
    text-decoration:underline;
}

a:hover{
    font-weight:bolder;
    background:#447ac4;
    color:white;
}

</style>	
	<br>	<br>
<div class="container" style="width:40%; background:white;">

				<h2>Registro de cobradores</h2>
	
			<div class="form">

    
	  <a href="index.php" class="pull-right"><i class="glyphicon glyphicon-home"></i> Inicio</a>
      			  <strong>ID</strong><br>
					<div class="input-group input-group-md">
					<span class="input-group-addon" id="sizing-addon2"><i class="glyphicon glyphicon-pencil"></i></span>
					<input placeholder="0" type="text" id="id" class="form-control input-sm" readonly="readonly" size="7" style="width: 85px;">
				</div>

			  <strong>Nombre</strong><br>
					<div class="input-group input-group-md">
					<span class="input-group-addon" id="sizing-addon2"><i class="glyphicon glyphicon-list"></i></span>
					<input placeholder="Nombre del cobrador" type="text" id="nombre" class="form-control input-sm">
				</div>

				  <strong>Cedula</strong><br>
					<div class="input-group input-group-md">
					<span class="input-group-addon" id="sizing-addon2"><i class="glyphicon glyphicon-list"></i></span>
					<input type="text" placeholder="Cedula del cobrador" id="cedula" class="form-control input-sm">
				</div>


				  <strong>Telfono</strong><br>
					<div class="input-group input-group-md">
					<span class="input-group-addon" id="sizing-addon2"><i class="glyphicon glyphicon-list"></i></span>
					<input type="text" placeholder="Telefono del cobrador" id="telefono" class="form-control input-sm">
				</div>


		

		
					
		  <strong>Direccion</strong><br>
					<div class="input-group input-group-md">
					<span class="input-group-addon" id="sizing-addon2"><i class="glyphicon glyphicon-list"></i></span>
					<input placeholder="Ejmp: C/ ----, # 0, Sector, Ciudad, Pais" type="text" id="direccion" class="form-control input-sm">
				</div>

			
				
<br>				
<div>
				<button class="btn btn-warning btn-sm" onClick="limpiar()"><i class="glyphicon glyphicon-plus"></i> Nuevo </button>

				<button onClick="grabar_cobrador()" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-save"></i>Grabar </button>

					<button onclick="eliminar()" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-remove" ></i> Borrar </button>



				 <button onClick="window.location.href='lista_cobradores.php'" class="btn btn-default btn-sm"><i class="glyphicon glyphicon-home"></i> Retornar  </button>


      
 
				
			
				
  	</div>
  	<br>
</div>






<script>

jQuery('document').ready(function(){
	var id = "<?php echo $_GET['id']?>";
	get_cobrador(id);

});

/*Seleccionar cobrador*/
function get_cobrador(id){
try{	
	    limpiar();
		var accion = "get_cobrador";
		var url="src/f_cobrador.php?id="+id+"&accion="+accion;
		$.get(url,function(data,st){
			if(st=="success"){
				var datos = JSON.parse(data);
				$("#nombre").val(datos.nombre_cobrador);
				$("#cedula").val(datos.cedula_cobrador);
				$("#telefono").val(datos.telefono_cobrador);
				$("#direccion").val(datos.direccion_cobrador);
				
				$("#id").val(datos.id_cobrador);
					
				
			}
		});
	}catch(e){
		alert(e.message+"\n"+e.description+"\n"+e.stractrace);
	}
}


/*Grabar cobrador*/
function grabar_cobrador(){
	var id_cobrador=	$("#id").val();
	var nombre=	$("#nombre").val();
	var cedula=	$("#cedula").val();
	var telefono=$("#telefono").val();
	var direccion=$("#direccion").val();
	

	
	var parametros = "id_cobrador="+id_cobrador+"&nombre="+nombre+"&cedula="+cedula+"&telefono="+telefono+"&direccion="+direccion+"&accion=grabar";
	if(nombre==""){
		alert("Datos incompletos");
		return; 
	}
	
activo("no");	
var url="src/f_cobrador.php?"+parametros;
$.get(url,function(data,st){
	
	if(st=="success"){
	if(data==1){
		alert("registro grabado");
		activo("si");
		limpiar();
			
		}else{
			alert(data);
			activo("si");
	}
		
	}

});
		
}










/*Llenar select rutas*/
function llenar_ruta(){
	
	var accion = "rutas";
	$.get("src/combos.php?accion="+accion,function(data,st){
		
		if(st=="success"){
			$("#ruta").html(data);
			
		}
	});
}


/*Llenar select cobradores*/
function llenar_cobradores(){
	activo("no");
	var accion = "cobradores";
	$.get("src/combos.php?accion="+accion,function(data,st){
		
		if(st=="success"){
			$("#cobrador").html(data);
			activo("si");
			
		}
	});
}

llenar_cobradores();
llenar_ruta();


/*Limpiar campos*/
function limpiar(){

				$("#nombre").val("");
				$("#cedula").val("");
				$("#telefono").val("");
				$("#direccion").val("");
				$("#ocupacion").val("");
				$("#email").val("");
				$("#id").val("");
				var co = "";
				var ru = "";
				
				$("#cobrador0 option[value='"+co+"']").prop('selected', true);
				$("#ruta0 option[value='"+ru+"']").prop('selected', true);
}






/*Eliminar cobrador*/
function eliminar(){
	var id = parseInt($("#id").val());
	if(isNaN(id) || id<=0 || id==""){
		alert("*****|  Debe seleccionar un registro |*****");
		return;
	}

	if(confirm("**** SEGURO QUE DESEA ELIMINAR ESTE REGISTRO? ****")){/**/}else{return;}
    	activo("no");
	var accion = "eliminar";
	$.get("src/f_cobrador.php?id="+id+"&accion="+accion,function(data,st){
		if(st=="success"){
			if(data==1){
				alert("!Resgistro eliminado");
				activo("si");
				limpiar();
		    }else{
		    	alert(data);
				activo("si");
		    }
			
		}
	});


}







/*Activar y desactivar botones*/
function activo(valor){
	if(valor=="si"){
		$(".btn").prop("disabled",false);
	}else{
		$(".btn").prop("disabled",true);
	}
}



</script>



